#include<bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int x,y;
    long long z=0;
    scanf("%d%d",&x,&y);
    long long i=1;
    while(x>0&&y>0)
    {
        if(x%10>=y%10){
            z+=(x%10)*i;
            i*=10;
        }
        if(x%10<=y%10){
            z+=(y%10)*i;
            i*=10;
        }
        x/=10;
        y/=10;
    }
    z+=x*i;
    z+=y*i;
    printf("%lld",z);
    return 0;
}